Visual Search in Existing Session
const url = 'https://api.vviinn.com/search/session/602d20ad1ac7d8-15165248';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vviinn.com/search/session/602d20ad1ac7d8-15165248 \ --header 'Authorization: Bearer <token>'Starts a search in existing session.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
602d20ad1ac7d8-15165248Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Success
object
object
This field is superseded by the entity type and therefore deprecated.
The API usually returns products; it can also return entities representing something else.
To enable different handling of these entities, the API uses an entity-type to distinguish between them, namely:
- A
productentity represents a product in the catalog. - A
contententity contains information relevant to a user, e.g., trends, opening hours. - A
listentity comprises a collection of distinguishable items, e.g., a category page.
Link to the product detail page
object
object
object
object
The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.
object
The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "value": [ { "kind": "product", "entityType": "product", "groupId": "55fc5f71d6362321cb93b82b387e2f32", "productId": "55fc5f71d6362321cb93b82b387e2f32", "title": "Livingwalls Fototapete Walls by Patel iconic 3", "deeplink": "http://mainUrl/site/5/product/55fc5f71d6362321cb93b82b387e2f32/details", "brand": "Fender", "productType": "guitar", "image": { "original": "http://mainUrl/image.jpg", "thumbnail": "http://mainUrl/thumbnail-image.jpg" }, "images": [ { "original": "http://mainUrl/image.jpg", "thumbnail": "http://mainUrl/thumbnail-image.jpg" } ], "price": { "actual": 19.9, "sale": 19.9 }, "basePrice": { "actual": { "price": 15.92, "quantity": 100, "measure": "ml" }, "sale": { "price": 15.92, "quantity": 100, "measure": "ml" } }, "energyEfficiencyClass": "A+++", "minEnergyEfficiencyClass": "A+++", "maxEnergyEfficiencyClass": "A+++", "energyCertifications": [ { "certificationClass": "A+++", "classRange": { "min": "A+++", "max": "A+++" } } ] } ], "type": "array", "searchArea": { "method": "POST" }, "uploadHighResolutionImage": { "method": "POST" }, "filters": { "type": "object", "value": { "categories": [ { "method": "POST" } ] } }, "links": { "self": { "method": "POST", "href": "/search/session/62cd4392853023-58137863" } }, "detectedObjects": [ { "value": { "rectangle": { "left": 0, "top": 0.3641, "width": 0.94, "height": 0.54175 } } } ]}ProductSearch exception
Example
{ "message": "Could not start search session", "data": "", "debug": "Passed images count to this endpoint are invalid or not enough."}Authentication Error
Example
{ "message": "Authentication Error"}Authorization Error
Example
{ "message": "Authorization Error"}